Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.endpoint
Class ServerConnectionFactoryEndpoint

    java.lang.Object
      org.jboss.jms.server.endpoint.ServerConnectionFactoryEndpoint

All Implemented Interfaces:
  ConnectionFactoryEndpoint

public class ServerConnectionFactoryEndpoint
extends java.lang.Object
implements ConnectionFactoryEndpoint

Concrete implementation of ConnectionFactoryEndpoint

Version:
  `$Revision: 1.24 $` $Id: ServerConnectionFactoryEndpoint.java,v 1.24 2006/05/23 18:25:08 ovidiu Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Field Summary
`protected java.lang.String` | `clientID`
`protected int` | `id`
`protected JNDIBindings` | `jndiBindings`
`protected ServerPeer` | `serverPeer`

Constructor Summary
`ServerConnectionFactoryEndpoint(int id, ServerPeer serverPeer, java.lang.String defaultClientID, JNDIBindings jndiBindings)`

Method Summary
`ConnectionDelegate` | `createConnectionDelegate(java.lang.String username, java.lang.String password)`
`byte[]` | `getClientAOPConfig()`
`int` | `getID()`
`IdBlock` | `getIdBlock(int size)`
`JNDIBindings` | `getJNDIBindings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverPeer

    protected ServerPeer serverPeer

### clientID

    protected java.lang.String clientID

### id

    protected int id

### jndiBindings

    protected JNDIBindings jndiBindings

Constructor Detail

### ServerConnectionFactoryEndpoint

    public ServerConnectionFactoryEndpoint(int id,
                                           ServerPeer serverPeer,
                                           java.lang.String defaultClientID,
                                           JNDIBindings jndiBindings)

Parameters:
  `jndiBindings` - - names under which the corresponding JBossConnectionFactory is bound in JNDI.

Method Detail

### createConnectionDelegate

    public ConnectionDelegate createConnectionDelegate(java.lang.String username,
                                                       java.lang.String password)
                                                throws JMSException

  Specified by:
    `createConnectionDelegate` in interface `ConnectionFactoryEndpoint`
  Throws:
    `JMSException`

### getClientAOPConfig

    public byte[] getClientAOPConfig()

  Specified by:
    `getClientAOPConfig` in interface `ConnectionFactoryEndpoint`

### getIdBlock

    public IdBlock getIdBlock(int size)
                       throws JMSException

  Specified by:
    `getIdBlock` in interface `ConnectionFactoryEndpoint`
  Throws:
    `JMSException`

### getID

    public int getID()

### getJNDIBindings

    public JNDIBindings getJNDIBindings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.